FEDORA-EPEL-2019-6389c91fe6

bugfix update in Fedora EPEL 6 for libAfterImage

Status: stable 3 months ago
  • Fix FTBFS (#1604550, #1675256)
  • Add build requires on gcc
  • Change build requires from libungif-devel to giflib-devel (the libungif compat library is no longer available since Fedora 28)
  • Port to giflib version 5 and allow unbundling of giflib
  • Link the shared library with its dependencies and adjust afterimage-libs and afterimage-config --libs to not list the dependencies
  • Add build requires on librsvg2-devel and build the package with SVG support
  • Create an -apps subpackage containing the sample programs (used to be part of the -devel subpackage)
  • Do not enable the GLX extension - it causes problems on newer Fedora releases (#1708922, #1615383 [aterm], #1704691 [root])
  • Update the license file with new FSF address

Comments 4

This update has been submitted for testing by ellert.

This update has been pushed to testing.

This update has been submitted for stable by ellert.

This update has been pushed to stable.

Add Comment & Feedback

Please login to add feedback.

Content Type
RPM
Status
stable
Test Gating
Submitted by
Update Type
bugfix
Update Severity
high
Karma
0
stable threshold: 3
unstable threshold: -3
Autopush (karma)
Enabled
Autopush (time)
Disabled
Dates
submitted 3 months ago
in testing 3 months ago
in stable 3 months ago

Related Bugs 5

00 #1604550 libAfterImage: FTBFS in Fedora rawhide
00 #1615383 aterm won't start BadValue integer parameter out of range for operation
00 #1675256 libAfterImage: FTBFS in Fedora rawhide/f30
00 #1704691 ROOT gui is not working
00 #1708922 The GLX extension causes problems on recent releases

Automated Test Results